Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.elf.wm
Class SimulatorPredictor

    java.lang.Object
      |
      +--org.opencyc.elf.wm.SimulatorPredictor

public class SimulatorPredictor
extends java.lang.Object

Provides the simulator-predictor for the ELF WorldModel.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected WorldModel` | `worldModel` the world model which owns this simulator-predictor

Constructor Summary
`SimulatorPredictor()` Constructs a new SimulatorPredictor object.

Method Summary
`WorldModel` | `getWorldModel()` Gets the world model which owns this simulator-predictor
`void` | `setWorldModel(WorldModel worldModel)` Sets the world model which owns this simulator-predictor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### worldModel

    protected WorldModel worldModel

  the world model which owns this simulator-predictor

Constructor Detail

### SimulatorPredictor

    public SimulatorPredictor()

  Constructs a new SimulatorPredictor object.

Method Detail

### getWorldModel

    public WorldModel getWorldModel()

  Gets the world model which owns this simulator-predictor
  Returns:
    the world model which owns this simulator-predictor

### setWorldModel

    public void setWorldModel(WorldModel worldModel)

  Sets the world model which owns this simulator-predictor
  Parameters:
    `worldModel` - the world model which owns this simulator-predictor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD